Start typing to search.

API Reference

Export tasks and/or job templates as NDJSON bundle

View Markdown
GET /api/export

Streams a newline-delimited JSON bundle. Tasks are emitted before job templates. Requires admin or superadmin role.

Operation IDexportBundle

Authentication

  • BearerAuth·http bearer·API key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.

Query parameters

include_tasksboolean
include_job_templatesboolean
task_namesstring

Comma-separated task names to export (legacy; use repeated task_name for names that contain commas)

task_namearray<string>

Exact task name to export. May be repeated.

Array items
itemstring
job_template_namesstring

Comma-separated job template names to export (legacy; use repeated job_template_name for names that contain commas)

job_template_namearray<string>

Exact job template name to export. May be repeated.

Array items
itemstring
statusstring
include_archivedboolean
include_versionsboolean

Success response body

200NDJSON export stream

NDJSON export stream

Content typeapplication/x-ndjson

responsestring